Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dataretrieval
Class DataRetrievalUtil

    java.lang.Object
      org.apache.axis2.dataretrieval.DataRetrievalUtil

    public class DataRetrievalUtil

extends java.lang.Object

Constructor Summary
`DataRetrievalUtil()`

Method Summary
`org.apache.axiom.om.OMElement` | `buildOM(java.lang.ClassLoader classLoader, java.lang.String file)` Loading xml file content and convert to OMElement.
`static org.apache.axiom.om.OMElement` | `convertToOMElement(java.io.InputStream servicexmlStream)` Convert servicexmlStream to OMElement
`static DataRetrievalUtil` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataRetrievalUtil

    public DataRetrievalUtil()

Method Detail

### getInstance

    public static DataRetrievalUtil getInstance()

### buildOM

    public org.apache.axiom.om.OMElement buildOM(java.lang.ClassLoader classLoader,
                                                 java.lang.String file)
                                          throws DataRetrievalException

  Loading xml file content and convert to OMElement.

  Parameters:
    `file` - - file path relative to the Service Repository
  Returns:
    OMElement format of the xml file content
  Throws:
    `DataRetrievalException`

### convertToOMElement

    public static org.apache.axiom.om.OMElement convertToOMElement(java.io.InputStream servicexmlStream)
                                                            throws javax.xml.stream.XMLStreamException,
                                                                   org.apache.axiom.om.OMException

  Convert servicexmlStream to OMElement

  Parameters:
    `servicexmlStream` - InputStream contain xml content
  Returns:
    OMElement format of the xml content
  Throws:
    `javax.xml.stream.XMLStreamException`
    `org.apache.axiom.om.OMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.